Package org.silverpeas.components.infoletter.service

## Class InfoLetterContributionLocator

- java.lang.Object
- - org.silverpeas.components.infoletter.service.InfoLetterContributionLocator

- All Implemented Interfaces:
    `org.silverpeas.core.contribution.ContributionLocatorByLocalIdAndType`

      @Bean
      @Named
      public class InfoLetterContributionLocator
      extends Object
      implements org.silverpeas.core.contribution.ContributionLocatorByLocalIdAndType

  This is an implementation of `ContributionLocatorByLocalIdAndType` which is able to locate `Contribution` of following types:
  - `InfoLetterPublicationPdC`
  Author:
    silveryocha

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoLetterContributionLocator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<org.silverpeas.core.contribution.model.ContributionIdentifier>` | `getContributionIdentifierFromLocalIdAndType​(String localId, String type)` |
    `InfoLetterPublicationPdC` | `getInfoLetterContribution​(org.silverpeas.core.contribution.model.ContributionIdentifier id)` |
    `boolean` | `isContributionLocatorOfType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoLetterContributionLocator

          public InfoLetterContributionLocator()

  - ### Method Detail

    - #### isContributionLocatorOfType

          public boolean isContributionLocatorOfType​(String type)

      Specified by:
        `isContributionLocatorOfType` in interface `org.silverpeas.core.contribution.ContributionLocatorByLocalIdAndType`

    - #### getContributionIdentifierFromLocalIdAndType

          public Optional<org.silverpeas.core.contribution.model.ContributionIdentifier> getContributionIdentifierFromLocalIdAndType​(String localId,
                                                                                                                                     String type)

      Specified by:
        `getContributionIdentifierFromLocalIdAndType` in interface `org.silverpeas.core.contribution.ContributionLocatorByLocalIdAndType`

    - #### getInfoLetterContribution

          public InfoLetterPublicationPdC getInfoLetterContribution​(org.silverpeas.core.contribution.model.ContributionIdentifier id)